Subject: Re: [GENERAL] Problems with initdb on Cygwin
From: Rick Rankin <[email-masked]>
To: Justin Clift <[email-masked]>, Christopher Faylor <[email-masked]>, Tom Lane <[email-masked]>
Cc: Joerg Hessdoerfer <[email-masked]>, Cygwin Mailing List <[email-masked]>
Date: Sat, 26 Jan 2002 21:02:26 -0800 (PST)

I haven't looked in the Cygwin FAQ specifically for this, but the need for the
cygipc package is described in /usr/doc/Cygwin/postgresql-7.1.3.README. It
seems, though, that people don't seem to know about /usr/doc. You can find the
answers to quite a few questions there!

--Rick
--- Justin Clift <[email-masked]> wrote:
> Hi Rick,
> 
> Thanks heaps for the offer.  :)
> 
> One of our users Joerg kindly pointed out a solution (and when tested,
> it solved the problem).
> 
> It seems there's a lack of info about needing cygipc to be installed
> when installing cygwin.
> 
> Would it be possible to add something about it to the cygwin FAQ?  It's
> possible PostgreSQL is the only one affected, but I'm not sure.
> 
> Again, thanks heaps for the positive response.
> 
> Regards and best wishes,
> 
> Justin Clift
> 
> 
> Joerg Hessdoerfer wrote:
> > 
> <snip>
> > 
> > Just my 2ct - but could it be you did not start ipc-daemon? It's not in the
> > standard
> > cygwin distrib (one should bang the heads of these guys - to distribute a
> > program
> > and not even mentioning (e.g in the postinstall scripts) that you need to
> > get cygipc
> > from somewhere else!).
> > 
> > Just search for cygipc on the net - I use 1.11 (I think), and it works
> > fine. Without
> > ipc-daemon running in the bg, you get exactly the reported behaviour!
> > 
> > Greetings,
> >          Joerg
> > 
> > ---------------------------(end of broadcast)---------------------------
> > TIP 4: Don't 'kill -9' the postmaster
> 
> Rick Rankin wrote:
> > 
> > I can build it for them, but I don't have a way to make it available to
> them.
> > If someone can provide a site for them to get it from, I'll do the build.
> What
> > options to configure, other than --enable-debug, do you need?
> > 
> > --Rick
> > --- Christopher Faylor <[email-masked]> wrote:
> > > On Sat, Jan 26, 2002 at 11:41:32AM -0000, Stephano Mariani wrote:
> > > >If you have visual studio, it includes a subset of the debugging
> > > >symbols for windows.  Install those!
> > >
> > > Can't someone just provide them with what they are asking for???
> > >
> > > If they had a debugging version of postgress, they'd be able to
> > > get at least a somewhat decipherable backtrace.
> > >
> > > Their request makes sense to me.  Isn't there anyone out there who
> > > can help the postgres team?
> > >
> > > cgf
> 
> -- 
> "My grandfather once told me that there are two kinds of people: those
> who work and those who take the credit. He told me to try to be in the
> first group; there was less competition there."
>    - Indira Gandhi

__________________________________________________
Do You Yahoo!?
Great stuff seeking new owners in Yahoo! Auctions! 
http://auctions.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/